package com.galaxis.soap.utils;

import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.io.FileUtils;
import org.junit.jupiter.api.Test;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import java.io.File;
import java.net.URL;
import java.nio.charset.StandardCharsets;

/**
 * 作者：lizw <br/>
 * 创建时间：2022/11/02 17:10 <br/>
 */
@Slf4j
public class CommServiceTest {
    @SneakyThrows
    @Test
    public void t01() {
        String data = FileUtils.readFileToString(new File("./src/test/resources/tmp.json"), StandardCharsets.UTF_8);
        QName qName = new QName("http://www.wms.com", "ERP_COMM_SERVICE");
        Service service = Service.create(new URL("http://122.9.140.63:8111/biz/JNDWebService?wsdl"), qName);
        CommService commService = service.getPort(CommService.class);
        String res = commService.webServiceMain("ERP_BAS_SKU_SERVICE", "skuInsertOrUpdate", data);
        log.info("---> {}", res);
    }
}


//        Service service = Service.create(new URL("http://122.9.140.63:8094/biz/JNDWebService?wsdl"), qName);
//        URL url = new File("./src/test/resources/tmp.xml").toURI().toURL();
//        Service service = Service.create(url, qName);